DateParser (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.util

## Class DateParser

- java.lang.Object
- - org.apache.commons.httpclient.util.DateParser

- Deprecated.
  Use `DateUtil`

      public class DateParser
      extends java.lang.Object

  A utility class for parsing HTTP dates as used in cookies and other headers. This class handles dates as defined by RFC 2616 section 3.3.1 as well as some other common non-standard formats.
  Author:
    Christopher Brown, Michael Becke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PATTERN_ASCTIME` Deprecated. Date format pattern used to parse HTTP date headers in ANSI C `asctime()` format.
    `static java.lang.String` | `PATTERN_RFC1036` Deprecated. Date format pattern used to parse HTTP date headers in RFC 1036 format.
    `static java.lang.String` | `PATTERN_RFC1123` Deprecated. Date format pattern used to parse HTTP date headers in RFC 1123 format.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Date` | `parseDate(java.lang.String dateValue)` Deprecated. Parses a date value.
    `static java.util.Date` | `parseDate(java.lang.String dateValue, java.util.Collection dateFormats)` Deprecated. Parses the date value using the given date formats.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATTERN_RFC1123

          public static final java.lang.String PATTERN_RFC1123

      Deprecated.
      Date format pattern used to parse HTTP date headers in RFC 1123 format.
      See Also:
        Constant Field Values

    - #### PATTERN_RFC1036

          public static final java.lang.String PATTERN_RFC1036

      Deprecated.
      Date format pattern used to parse HTTP date headers in RFC 1036 format.
      See Also:
        Constant Field Values

    - #### PATTERN_ASCTIME

          public static final java.lang.String PATTERN_ASCTIME

      Deprecated.
      Date format pattern used to parse HTTP date headers in ANSI C `asctime()` format.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### parseDate

          public static java.util.Date parseDate(java.lang.String dateValue)
                                          throws DateParseException

      Deprecated.
      Parses a date value. The formats used for parsing the date value are retrieved from the default http params.
      Parameters:
        `dateValue` - the date value to parse
      Returns:
        the parsed date
      Throws:
        `DateParseException` - if the value could not be parsed using any of the supported date formats

    - #### parseDate

          public static java.util.Date parseDate(java.lang.String dateValue,
                                                 java.util.Collection dateFormats)
                                          throws DateParseException

      Deprecated.
      Parses the date value using the given date formats.
      Parameters:
        `dateValue` - the date value to parse
        `dateFormats` - the date formats to use
      Returns:
        the parsed date
      Throws:
        `DateParseException` - if none of the dataFormats could parse the dateValue

Copyright (c) 1999-2005 - Apache Software Foundation